Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class OWLNamespaceManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.impl.AbstractNamespaceManager
          edu.stanford.smi.protegex.owl.model.impl.OWLNamespaceManager

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Localizable, NamespaceManager, NamespaceMap, Serializable

    public class OWLNamespaceManager

extends AbstractNamespaceManager

See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractNamespaceManager
`DEFAULT_NAMESPACE_PREFIX, DEFAULT_PREFIX_START`

Constructor Summary
`OWLNamespaceManager()`

Method Summary
`String` | `getNamespaceForPrefix(String prefix)`
`String` | `getPrefix(String namespace)`
`Collection<String>` | `getPrefixes()`
`boolean` | `isModifiable(String prefix)`
`void` | `removePrefix(String prefix)`
`void` | `removePrefixMappingSimple(String namespace, String prefix)`
`void` | `setModifiable(String prefix, boolean value)`
`void` | `setPrefix(String namespace, String prefix)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractNamespaceManager
`addImport, addNamespaceManagerListener, getDefaultNamespace, getNextAvailablePrefixName, isValidPrefix, localize, removeNamespaceManagerListener, setDefaultNamespace, setDefaultNamespace, setPrefix, tellNamespaceChanged, tellPrefixChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLNamespaceManager

    public OWLNamespaceManager()

Method Detail

### isModifiable

    public boolean isModifiable(String prefix)

### setModifiable

    public void setModifiable(String prefix,
                              boolean value)

### getNamespaceForPrefix

    public String getNamespaceForPrefix(String prefix)

### getPrefix

    public String getPrefix(String namespace)

### getPrefixes

    public Collection<String> getPrefixes()

### removePrefix

    public void removePrefix(String prefix)

### setPrefix

    public void setPrefix(String namespace,
                          String prefix)

### removePrefixMappingSimple

    public void removePrefixMappingSimple(String namespace,
                                          String prefix)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.